Bug 1666682 - Cannot install: missing golang-rsc-pdf
Summary: Cannot install: missing golang-rsc-pdf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-x-arch
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1654881
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-16 11:09 UTC by Elliott Sales de Andrade
Modified: 2019-03-04 02:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-04 02:16:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2019-01-16 11:09:23 UTC
Description of problem:
There are a variety of generators in this package, such as https://github.com/golang/arch/blob/5de9028c2478e6cb4e1c1b1f4386f3f0a93e383a/arm64/arm64spec/spec.go, which reads specifications in PDF and produce something. These require rsc.io/pdf

Since these are not built, there is no problem creating the package. However, the automated dependency generator finds this imports and adds Requires. Since rsc.io/pdf is not yet packaged, this package cannot be installed.

Should these generators be added as part of the build? Or should they be removed as unneeded to drop the dependency?

Version-Release number of selected component (if applicable):
golang-x-arch-0-0.1.20181126gitb19384d.fc30
golang-x-arch-0-0.1.20181126gitb19384d.fc29
golang-x-arch-0-0.1.20181126gitb19384d.fc28

Comment 1 Robert-André Mauchin 🐧 2019-02-08 16:56:50 UTC
Since golang-rsc-pdf has been built, does this problem still exist?

Comment 2 Elliott Sales de Andrade 2019-02-14 01:42:20 UTC
Needs to be pushed to stable, too.

Comment 3 Elliott Sales de Andrade 2019-03-04 02:16:27 UTC
Seems like it's available now.


Note You need to log in before you can comment on or make changes to this bug.